# This is the CRAN name
%global packname mdatools
# This is the main package version
%global packver 0.14
# Note that some R packages do not use packrel
%global packrel 1
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        %{packver}.%{packrel}
Release:        0.sles15.lc
Summary:        Projection based methods for preprocessing, exploring and analysis of multivariate data used in chemometrics

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        %{packname}_%{packver}.%{packrel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires: R-base-devel, tex(latex)
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

Requires:       R-base

%description
R package:
R package for preprocessing, exploring and analysis of multivariate data. The package provides methods mostly common for Chemometrics.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help

%changelog
* Wed Jul 17 2024 Stuart Raeburn <raeburn@loncapa.org> (0.14.1-0)
- Initial build for R 4.4.1
